---
title: "Unassign a License"
slug: "unassign-a-license"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:35:43Z
published: 2026-09-23T09:35:43Z
canonical: "docs.trellix.com/unassign-a-license"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Unassign a License
This URL unassign's a license associated with the device.
## Resource URL
PUT /license/unassignlicense
## Request Parameters
URL Parameters: None
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| licenseId | License id | String | Yes |
| grantIndex | Grant Index of the license | String | Yes |
| grantId | Grant id of the license | String | Yes |
| sensorId | Sensor id to be associated with license | String | No |
## Response Parameters
Following fields are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| status | Set to 1 if the unassignment is successful | Number |
## Example
**Request**
PUT [https:///sdkapi/unassignlicense](https://%3CNSM_IP%3E/sdkapi/getclusterid)
**Payload**
```
{
“licenseId”: “50002”,
“grantIndex”: “3”,
“grantId”: “0030080”,
}
```
**Response**
```
{
'status' : 1
}
```
## Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 500 | 1001 | Internal error |